###########################################
#                                         #
#  (C) 2010-2011 Serghei Amelian          #
#  serghei (DOT) amelian (AT) gmail.com   #
#                                         #
#  Improvements and feedback are welcome  #
#                                         #
#  This file is released under GPL >= 2   #
#                                         #
###########################################

include( ConfigureChecks.cmake )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${CMAKE_SOURCE_DIR}/kopete/libkopete/ui
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${XMMS_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kopete_nowlistening (module)

tde_add_kpart( kopete_nowlistening MODULE AUTOMOC

  SOURCES
        nowlisteningconfig.kcfgc
        nowlisteningplugin.cpp
        nlkscd.cpp
        nlnoatun.cpp
        nlxmms.cpp
        nowlisteningguiclient.cpp
        nljuk.cpp
        nlamarok.cpp
        nlkaffeine.cpp
  LINK
     kopete-shared
     ${XMMS_LIBRARIES}

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcm_kopete_nowlistening (module)

tde_add_kpart( kcm_kopete_nowlistening MODULE AUTOMOC

  SOURCES
        nowlisteningprefs.ui
        nowlisteningpreferences.cpp
        nowlisteningconfig.kcfgc
  LINK
     tdeutils-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE kopete_nowlistening.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR kopete-desktops
)

tde_create_translated_desktop(
    SOURCE kopete_nowlistening_config.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}/tdeconfiguredialog
    PO_DIR kopete-desktops
)

install(
    FILES nowlisteningconfig.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)

install(
    FILES nowlisteningui.rc nowlisteningchatui.rc
    DESTINATION ${DATA_INSTALL_DIR}/kopete
)
